package org.objectweb.jonas.jtests.beans.relation.tier;

/**
 * CMP layer for Tiephy.
 */
public abstract class TiephyEJB extends TiephyBean implements javax.ejb.EntityBean {

    public void ejbLoad() {
    }

    public void ejbStore() {
    }

    public void ejbActivate() {
    }

    public void ejbPassivate() {

    }

    public void setEntityContext(javax.ejb.EntityContext ctx) {
        super.setEntityContext(ctx);
    }

    public void unsetEntityContext() {
        super.unsetEntityContext();
    }

    public void ejbRemove() throws javax.ejb.RemoveException {

    }

    public abstract java.lang.Integer getNuminttie();

    public abstract void setNuminttie(java.lang.Integer numinttie);

    public abstract java.lang.String getNomusatie();

    public abstract void setNomusatie(java.lang.String nomusatie);

}